Last Comment Bug 492553 - containment breach NJ/MMgc
: containment breach NJ/MMgc
Status: RESOLVED FIXED
:
Product: Core Graveyard
Classification: Graveyard
Component: Nanojit (show other bugs)
: unspecified
: ARM Windows Mobile 6 Professional
: P2 trivial (vote)
: flash10.2
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-12 08:11 PDT by Tommy Reilly
Modified: 2014-03-17 08:00 PDT (History)
4 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Tommy Reilly 2009-05-12 08:11:06 PDT
NJ depends on a bit of assembly in MMgc/WinCEUtils.armasm.   MMgc no longer has use for this file and wants to remove it.
Comment 1 Edwin Smith 2010-05-22 10:16:49 PDT
The dependency there is to detect a bug in the winmo emulator.  we can trivially change the codegen for indirect calls to avoid the bug, which will avoid the need for the handcoded asm bug detector.
Comment 2 Edwin Smith 2010-08-13 13:34:51 PDT
proposed patch on bug 586262 removes WinCEUtils.armasm.  please review or comment.
Comment 3 Ed Morley [:emorley] 2011-04-19 04:06:57 PDT
Fixed by bug 586262; file WinCEUtils.armasm no longer exists.

Note You need to log in before you can comment on or make changes to this bug.